Bug 248396 - Review Request: perl-Text-Diff-HTML - XHTML format for Text::Diff::Unified
Review Request: perl-Text-Diff-HTML - XHTML format for Text::Diff::Unified
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-16 13:08 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 17:58:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-16 13:08:01 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Text-Diff-HTML/perl-Text-Diff-HTML.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Text-Diff-HTML-0.04-2.src.rpm
Description:
This class subclasses Text::Diff::Unified, a formatting class provided by
the Text::Diff module, to add XHTML markup to the unified diff format. For
details on the interface of the diff() function, see the Text::Diff
documentation.
Comment 1 Parag AN(पराग) 2007-07-20 00:00:04 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
cd8a50dd2f9d90be1f949906441035c1  Text-Diff-HTML-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/base....ok
t/pod.....ok
All tests successful.
Files=2, Tests=9,  1 wallclock secs ( 0.12 cusr +  0.03 csys =  0.15 CPU)
+ Provides: perl(Text::Diff::HTML) = 0.04
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(HTML::Entities) perl(Text::Diff)
perl(constant) perl(strict) perl(vars)

APPROVED.
Comment 2 Steven Pritchard 2007-07-20 12:18:02 EDT
New Package CVS Request
=======================
Package Name: perl-Text-Diff-HTML
Short Description: XHTML format for Text::Diff::Unified
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com

Note You need to log in before you can comment on or make changes to this bug.